/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_EdcaParameterRecord_H_
#define	_EdcaParameterRecord_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* EdcaParameterRecord */
typedef struct EdcaParameterRecord {
	long	 res;
	long	 aci;
	long	 acm;
	long	 aifsn;
	long	 ecwMax;
	long	 ecwMin;
	long	 txopLimit;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} EdcaParameterRecord_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_EdcaParameterRecord;

#ifdef __cplusplus
}
#endif

#endif	/* _EdcaParameterRecord_H_ */
#include <asn_internal.h>
